#!/usr/bin/env perl

use XyceRegression::Tools;
$Tools = XyceRegression::Tools->new();
#$Tools->setDebug(1);

# The input arguments to this script are:
# $ARGV[0] = location of Xyce binary
# $ARGV[1] = location of xyce_verify.pl script
# $ARGV[2] = location of compare script  (This is NEVER used and can be ignored)
# $ARGV[3] = location of circuit file to test
# $ARGV[4] = location of gold standard prn file

use Getopt::Long;
&GetOptions( "verbose!" => \$verbose );
$XYCE=$ARGV[0];
$XYCE_VERIFY=$ARGV[1];
$CIRFILE=$ARGV[3]; 
$GOLDPRN=$ARGV[4];

if (defined($verbose)) { $Tools->setVerbose(1); }

# check various error cases
# These strings should be in the output of this failed Xyce run. 
# Note that underscore (_) characters must be escaped with \\
@searchstrings = ( "Netlist error in file bad_dot_measure_line1.cir at or near line 19",
      "Illegal name in .MEASURE line.  Cannot be AC, DC or TRAN/TR",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 20",
      "Unknown mode in .MEASURE line.  Should be TRAN/TR",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 21",
      "Too few items on .MEASURE line.  Need at least .MEASURE <mode> <name> <type>",
      "Netlist warning in file bad_dot_measure_line1.cir at or near line 21",
      "Unrecognized dot line will be ignored",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 22",
      "Too few items on .MEASURE line.  Need at least .MEASURE <mode> <name> <type>",
      "Netlist warning in file bad_dot_measure_line1.cir at or near line 22",
      "Unrecognized dot line will be ignored",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 23",
      "Too few items on .MEASURE line.  Need at least .MEASURE <mode> <name> <type>",
      "Netlist warning in file bad_dot_measure_line1.cir at or near line 23",
      "Unrecognized dot line will be ignored",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 24",
      "Error in .MEASURE line.  Could not parse voltage/current variable",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 25",
      "Error in .MEASURE line.  Could not parse voltage/current variable",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 26",
      "Unknown mode in .MEASURE line.  Should be TRAN/TR",
      "Netlist error in file bad_dot_measure_line1.cir at or near line 29",
      "Illegal type in .MEASURE line for TRAN mode.  Must be one of: AVG,",
      "DERIV/DERIVATIVE, DUTY, EQN/PARAM, ERROR, FIND, WHEN, FOUR, INTEG/INTEGRAL,",
      "MIN, MAX, OFF\\_TIME, ON\\_TIME, PP, RMS, TRIG, TARG"
 );

$retval = $Tools->runAndCheckError($CIRFILE,$XYCE,@searchstrings);
print "Exit code = $retval\n"; exit $retval; 
